const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const breastfeeding_logs = sequelize.define(
    'breastfeeding_logs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

started_at: {
        type: DataTypes.DATE,
      
      

      },

ended_at: {
        type: DataTypes.DATE,
      
      

      },

side: {
        type: DataTypes.ENUM,
      
      

        values: [

"left",


"right",


"both"

        ],

      },

duration_minutes: {
        type: DataTypes.INTEGER,
      
      

      },

latch_notes: {
        type: DataTypes.TEXT,
      
      

      },

production_notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  breastfeeding_logs.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.breastfeeding_logs.belongsTo(db.pregnancies, {
      as: 'pregnancy',
      foreignKey: {
        name: 'pregnancyId',
      },
      constraints: false,
    });




    db.breastfeeding_logs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.breastfeeding_logs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return breastfeeding_logs;
};


